Get Lock Status
curl --request GET \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/settings/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"interactable": true
}Settings
Get Lock Status
GET
/
v3
/
chargers
/
{charger}
/
settings
/
lock
Get Lock Status
Returns the current lock status for the specified charger. When locked, the charger is set to
Unavailable in OCPP and will not accept new charging sessions.
The UUID of the charger.
Response
Whether the charger is currently locked (unavailable).
Whether the lock can be toggled right now. This is
false while any connector is in an active state (such as Charging, Preparing, Finishing, Reserved, Faulted, SuspendedEV, or SuspendedEVSE).⌘I